<script setup lang="ts">
import { storeToRefs } from 'pinia'
import _ from 'lodash'
import { useQAStore } from '~/store/qa'
import { useAccountStore } from '~~/store/account'

const account = useAccountStore()
const { full } = storeToRefs(account)
const value = ref<string>('')
const Qa = useQAStore()
const { availableQA } = storeToRefs(Qa)
</script>

<template>
  <div class="flex flex-col h-full">
    <MQuestionList class="flex-1" :full="full" />
    <div v-if="!full">
      <AQuestionWarning
        v-if="_.size(availableQA) > 0"
      />
      <div class="flex flex-row items-center">
        <ATextAreaAuto class="flex-1" :value="value" :min-rows="2" :max-rows="5" @input="value = $event" />
        <button
          class="mx-5 px-4 py-2 rounded-lg bg-blue-500 text-white text-lg"
          :disabled="value === ''"
          @click="
            () => {
              Qa.sendQuestion(value)
              value = ''
            }
          "
        >
          送信
        </button>
      </div>
    </div>
    <div v-if="full && _.size(availableQA) > 0 ">
      <AQuestionWarning />
    </div>
  </div>
</template>

<style scoped></style>
